<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Thu Sep 27 21:41:14 CEST 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio.conn Class Hierarchy (HttpAsyncClient 4.0-beta3 API)
</TITLE>

<META NAME="date" CONTENT="2012-09-27">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.nio.conn Class Hierarchy (HttpAsyncClient 4.0-beta3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/client/util/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/conn/scheme/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.nio.conn
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ClientAsyncConnectionFactory.html" title="interface in org.apache.http.nio.conn"><B>ClientAsyncConnectionFactory</B></A><LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io"><B>Closeable</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpConnection.html?is-external=true" title="class or interface in org.apache.http"><B>HttpConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http"><B>HttpInetConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ClientAsyncConnection</B></A> (also extends org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">NHttpClientConnection</A>)
<LI TYPE="circle">org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/HttpRoutedConnection.html?is-external=true" title="class or interface in org.apache.http.conn"><B>HttpRoutedConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ManagedClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ManagedClientAsyncConnection</B></A> (also extends org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ConnectionReleaseTrigger.html?is-external=true" title="class or interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">NHttpClientConnection</A>)
</UL>
</UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpConnection.html?is-external=true" title="class or interface in org.apache.http"><B>NHttpConnection</B></A> (also extends org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.IOControl.html?is-external=true" title="class or interface in org.apache.http">IOControl</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http"><B>NHttpClientConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ClientAsyncConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>)
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ManagedClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ManagedClientAsyncConnection</B></A> (also extends org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ConnectionReleaseTrigger.html?is-external=true" title="class or interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/HttpRoutedConnection.html?is-external=true" title="class or interface in org.apache.http.conn">HttpRoutedConnection</A>)
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ConnectionReleaseTrigger.html?is-external=true" title="class or interface in org.apache.http.conn"><B>ConnectionReleaseTrigger</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ManagedClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ManagedClientAsyncConnection</B></A> (also extends org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/HttpRoutedConnection.html?is-external=true" title="class or interface in org.apache.http.conn">HttpRoutedConnection</A>, org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">NHttpClientConnection</A>)
</UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.IOControl.html?is-external=true" title="class or interface in org.apache.http"><B>IOControl</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpConnection.html?is-external=true" title="class or interface in org.apache.http"><B>NHttpConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpConnection.html?is-external=true" title="class or interface in org.apache.http">HttpConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.NHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http"><B>NHttpClientConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ClientAsyncConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>)
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ManagedClientAsyncConnection.html" title="interface in org.apache.http.nio.conn"><B>ManagedClientAsyncConnection</B></A> (also extends org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ConnectionReleaseTrigger.html?is-external=true" title="class or interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.conn.<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/HttpRoutedConnection.html?is-external=true" title="class or interface in org.apache.http.conn">HttpRoutedConnection</A>)
</UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.nio.reactor.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.IOReactor.html?is-external=true" title="class or interface in org.apache.http"><B>IOReactor</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.conn.<A HREF="../../../../../org/apache/http/nio/conn/ClientAsyncConnectionManager.html" title="interface in org.apache.http.nio.conn"><B>ClientAsyncConnectionManager</B></A></UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/client/util/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/conn/scheme/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2010-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
